> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch P&L summaries

> Returns profit and loss summaries over a specified time range. This endpoint is useful for displaying charts and comparisons, as the summaries are less detailed than the full P&L report but a range of months can be queried at the same time.



## OpenAPI

````yaml get /v1/businesses/{businessId}/reports/profit-and-loss-summaries
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/reports/profit-and-loss-summaries:
    get:
      tags: []
      summary: Fetch P&L summaries
      description: >-
        Returns profit and loss summaries over a specified time range. This
        endpoint is useful for displaying charts and comparisons, as the
        summaries are less detailed than the full P&L report but a range of
        months can be queried at the same time.
      operationId: business.reports.profit-and-loss-summaries.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch the profit and loss for
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiMonthlyPnlSummaries'
        '400':
          description: >-
            P&L not yet reconciled: one or more of the requested time periods is
            not closed or reconciled and cannot be displayed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: >-
            Business id is not found. This indicates the business id is invalid
            or the business has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiMonthlyPnlSummaries:
      type: object
      properties:
        monthly_pnl_summaries:
          type: array
          items:
            $ref: '#/components/schemas/MonthlyPnlSummary'
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    MonthlyPnlSummary:
      type: object
      properties:
        year:
          type: integer
          format: int32
          description: The year for the PnL summary
          example: 2024
        month:
          type: integer
          format: int32
          description: The month for the PnL summary
          example: 3
        income:
          type: integer
          format: int64
          description: The business's total income for the month, in cents.
          example: 1050000
        costOfGoodsSold:
          type: integer
          format: int64
          description: The business's cost of goods sold for the month, in cents.
          example: 350000
        grossProfit:
          type: integer
          format: int64
          description: The business's gross profit for the month, in cents.
          example: 700000
        operatingExpenses:
          type: integer
          format: int64
          description: The business's operating expenses for the month, in cents.
          example: 300000
        profitBeforeTaxes:
          type: integer
          format: int64
          description: The business's pre-tax profit for the month, in cents.
          example: 400000
        taxes:
          type: integer
          format: int64
          description: The business's taxes for the month, in cents.
          example: 100000
        netProfit:
          type: integer
          format: int64
          description: The business's net profit for the month, in cents.
          example: 300000
        totalExpenses:
          type: integer
          format: int64
          description: The sum of the business's expenses for the month, in cents.
          example: 750000
        uncategorizedInflows:
          type: integer
          format: int64
          description: >-
            The sum of the business's positive uncategorized transactions for
            the month, in cents.
          example: 10
        uncategorizedOutflows:
          type: integer
          description: >-
            The sum of the business's negative uncategorized transactions for
            the month, in cents.
          example: 10
        fullyCategorized:
          type: boolean
          description: >-
            Whether the business has categorized all of their transactions for
            the month.
          example: true
        uncategorized_transactions:
          type: integer
          description: The number of uncategorized transactions remaining in this month.
          format: int64
          example: 1
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````